Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

containerTag
string
required

Response

Container tag settings retrieved successfully

Container tag settings including entity context

containerTag
string
required

The container tag identifier

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"sm_project_default"

name
string | null
required

Display name for this container tag

entityContext
string | null
required

Custom context prompt for this container tag. Used to provide additional context when processing documents in this container.

Example:

"This project contains research papers about machine learning."

memoryFilesystemPaths
string[] | null
required

Per-tag allowlist of filesystem paths that trigger memory generation for mount-ingested documents. Docs whose filepath does not match are ingested as 'superrag' (chunked and searchable, no memory extraction).

Example:
profileBuckets
object[]
required

Container-tag-level buckets added on top of the org buckets (add-only)

Maximum array length: 50
createdAt
string<datetime>
required

Creation timestamp

updatedAt
string<datetime>
required

Last update timestamp